summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/importgettext.sh5
-rwxr-xr-xbin/moduserprefs.sh82
-rwxr-xr-xbin/msgexport.sh5
-rwxr-xr-xbin/msgimport.sh5
-rwxr-xr-xbin/update.sh2
5 files changed, 92 insertions, 7 deletions
diff --git a/bin/importgettext.sh b/bin/importgettext.sh
index 9ffb71d04..285f5680f 100755
--- a/bin/importgettext.sh
+++ b/bin/importgettext.sh
@@ -56,11 +56,11 @@ $%s = array();
EOF;
- $author = preg_replace('/\s*<Unknown>/i', '', $texts['_translator']);
+ $author = preg_replace('/\s*<Unknown>/i', '', $texts['_translator']);
$output = sprintf($header, $lang, $varname.'.inc', date('Y'), $author, $varname);
foreach ($texts as $label => $value) {
- if (is_array($value)) { var_dump($outfn, $label, $value); exit; }
+ if (is_array($value)) { var_dump($outfn, $label, $value); exit; }
if ($label[0] != '_' && strlen($value))
$output .= sprintf("\$%s['%s'] = '%s';\n", $varname, $label, strtr(addcslashes($value, "'"), array("\r" => '', "\n" => '\n')));
}
@@ -125,6 +125,7 @@ function import_file($fn)
foreach ($dests as $dest) {
list($file, $label) = explode(':', $dest);
$out[$file][$label] = $msgstr;
+ $out[$file]['_translator'] = $translator;
}
}
diff --git a/bin/moduserprefs.sh b/bin/moduserprefs.sh
new file mode 100755
index 000000000..a8fc3f655
--- /dev/null
+++ b/bin/moduserprefs.sh
@@ -0,0 +1,82 @@
+#!/usr/bin/env php
+<?php
+/*
+ +-----------------------------------------------------------------------+
+ | bin/moduserprefs.sh |
+ | |
+ | This file is part of the Roundcube Webmail client |
+ | Copyright (C) 2012, The Roundcube Dev Team |
+ | |
+ | Licensed under the GNU General Public License version 3 or |
+ | any later version with exceptions for skins & plugins. |
+ | See the README file for a full license statement. |
+ | |
+ | PURPOSE: |
+ | Bulk-change settings stored in user preferences |
+ +-----------------------------------------------------------------------+
+ | Author: Thomas Bruederli <roundcube@gmail.com> |
+ +-----------------------------------------------------------------------+
+*/
+
+define('INSTALL_PATH', realpath(dirname(__FILE__) . '/..') . '/' );
+
+require_once INSTALL_PATH.'program/include/clisetup.php';
+
+function print_usage()
+{
+ print "Usage: moduserprefs.sh [--user=user-id] pref-name [pref-value|--delete]\n";
+ print "--user User ID in local database\n";
+ print "--delete Unset the given preference\n";
+}
+
+
+// get arguments
+$args = rcube_utils:get_opt(array('u' => 'user', 'd' => 'delete'));
+
+if ($_SERVER['argv'][1] == 'help') {
+ print_usage();
+ exit;
+}
+else if (empty($args[0]) || (!isset($args[1]) && !$args['delete'])) {
+ print "Missing required parameters.\n";
+ print_usage();
+ exit;
+}
+
+$pref_name = trim($args[0]);
+$pref_value = $args['delete'] ? null : trim($args[1]);
+
+// connect to DB
+$rcmail = rcmail::get_instance();
+
+$db = $rcmail->get_dbh();
+$db->db_connect('w');
+
+if (!$db->is_connected() || $db->is_error())
+ die("No DB connection\n" . $db->is_error());
+
+$query = '1=1';
+
+if ($args['user'])
+ $query = 'user_id=' . intval($args['user']);
+
+// iterate over all users
+$sql_result = $db->query("SELECT * FROM " . $rcmail->config->get('db_table_users', 'users')." WHERE $query");
+while ($sql_result && ($sql_arr = $db->fetch_assoc($sql_result))) {
+ echo "Updating prefs for user " . $sql_arr['user_id'] . "...";
+
+ $user = new rcube_user($sql_arr['user_id'], $sql_arr);
+ $prefs = $old_prefs = $user->get_prefs();
+
+ $prefs[$pref_name] = $pref_value;
+
+ if ($prefs != $old_prefs) {
+ $user->save_prefs($prefs);
+ echo "saved.\n";
+ }
+ else {
+ echo "nothing changed.\n";
+ }
+}
+
+?>
diff --git a/bin/msgexport.sh b/bin/msgexport.sh
index e6c180188..e98e5fee2 100755
--- a/bin/msgexport.sh
+++ b/bin/msgexport.sh
@@ -71,7 +71,8 @@ function export_mailbox($mbox, $filename)
// get arguments
-$args = get_opt(array('h' => 'host', 'u' => 'user', 'p' => 'pass', 'm' => 'mbox', 'f' => 'file')) + array('host' => 'localhost', 'mbox' => 'INBOX');
+$opts = array('h' => 'host', 'u' => 'user', 'p' => 'pass', 'm' => 'mbox', 'f' => 'file');
+$args = rcube_utils::get_opt($opts) + array('host' => 'localhost', 'mbox' => 'INBOX');
if ($_SERVER['argv'][1] == 'help')
{
@@ -93,7 +94,7 @@ if (empty($args['user']))
}
// prompt for password
-$args['pass'] = prompt_silent("Password: ");
+$args['pass'] = rcube_utils::prompt_silent("Password: ");
// parse $host URL
diff --git a/bin/msgimport.sh b/bin/msgimport.sh
index 845c585e1..41bcd7e53 100755
--- a/bin/msgimport.sh
+++ b/bin/msgimport.sh
@@ -17,7 +17,8 @@ function print_usage()
// get arguments
-$args = get_opt(array('h' => 'host', 'u' => 'user', 'p' => 'pass', 'm' => 'mbox', 'f' => 'file')) + array('host' => 'localhost', 'mbox' => 'INBOX');
+$opts = array('h' => 'host', 'u' => 'user', 'p' => 'pass', 'm' => 'mbox', 'f' => 'file');
+$args = rcube_utils::get_opt($opts) + array('host' => 'localhost', 'mbox' => 'INBOX');
if ($_SERVER['argv'][1] == 'help')
{
@@ -47,7 +48,7 @@ if (empty($args['user']))
// prompt for password
if (empty($args['pass']))
{
- $args['pass'] = prompt_silent("Password: ");
+ $args['pass'] = rcube_utils::prompt_silent("Password: ");
}
// parse $host URL
diff --git a/bin/update.sh b/bin/update.sh
index f141fa685..59aa596dd 100755
--- a/bin/update.sh
+++ b/bin/update.sh
@@ -25,7 +25,7 @@ require_once INSTALL_PATH . 'program/include/clisetup.php';
require_once INSTALL_PATH . 'installer/rcube_install.php';
// get arguments
-$opts = get_opt(array('v' => 'version'));
+$opts = rcube_utils::get_opt(array('v' => 'version'));
// ask user if no version is specified
if (!$opts['version']) {